Base URL: https://demo-api.incodesmile.com — Incode demo environment
Fetch information about device user was using during onboarding
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
query | string | Represents interview id for which device data are requested. If it is not present it will be read from token. | |
returnData |
query | boolean | If it is set to true, string representation of map which contains all data that enters the hash will be returned. | |
api-version |
header | string | yes |
Responses
200
OK
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
ipAddress |
string | IP address of the device from which onboarding is being executed. | |
hash |
string | Hash is generated out of data specific to user device and browser: userAgent, webdriver, language, colorDepth, deviceMemory, hardwareConcurrency, screenResolution, availableScreenResolution, timezoneOffset, timezone, sessionStorage, localStorage, indexedDb, cpuClass, platform, plugins, canvas, webgl, webglVendorAndRenderer, adBlock, hasLiedLanguages, hasLiedResolution, hasLiedOs, hasLiedBrowser, touchSupport, fonts, audio. | |
deviceType |
string | Device type Enum: IOS, ANDROID, WEBAPP |
|
osVersion |
string | ||
deviceModel |
string | ||
sdkVersion |
string | ||
browser |
string | ||
hasLiedBrowser |
boolean | ||
longitude |
number (float) | User's geolocation longitude. | |
latitude |
number (float) | User's geolocation latitude. | |
location |
string | User's location at the moment of onboarding process. | |
getmAdminArea |
string | State | |
getmSubAdminArea |
string | County | |
getmLocality |
string | City | |
getmSubLocality |
string | Neighborhood, common name | |
getmThoroughfare |
string | Street name. | |
getmSubThoroughfare |
string | Number. | |
getmPostalCode |
string | Zip code | |
getmCountryCode |
string | Country code | |
getmCountryName |
string | Country name | |
hostingApp |
string | Hosting App |
400
Bad Request
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
integer (int64) | UTC timestamp in milliseconds | |
status |
integer (int32) | Custom error code or HTTP status code | |
error |
string | HTTP status error | |
message |
string | Custom error message | |
path |
string | Endpoint path | |
details |
object | Custom error details |